| Flutter Linux Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::MethodResultFunctions< T > Class Template Reference

`#include <method_result_functions.h>`

Inheritance diagram for flutter::MethodResultFunctions< T >:

## Public Member Functions
| MethodResultFunctions (ResultHandlerSuccess< T > on_success, ResultHandlerError< T > on_error, ResultHandlerNotImplemented< T > on_not_implemented)
virtual | ~MethodResultFunctions ()=default
| MethodResultFunctions (MethodResultFunctions const &)=delete
MethodResultFunctions & | operator= (MethodResultFunctions const &)=delete
Public Member Functions inherited from flutter::MethodResult< EncodableValue >
| MethodResult ()=default
| MethodResult (MethodResult const &)=delete
virtual | ~MethodResult ()=default
MethodResult & | operator= (MethodResult const &)=delete
void | Success (const EncodableValue &result)
void | Success ()
void | Error (const std::string &error_code, const std::string &error_message, const EncodableValue &error_details)
void | Error (const std::string &error_code, const std::string &error_message="")
void | NotImplemented ()

## Protected Member Functions
void | SuccessInternal (const T *result) override
void | ErrorInternal (const std::string &error_code, const std::string &error_message, const T *error_details) override
void | NotImplementedInternal () override
Protected Member Functions inherited from flutter::MethodResult< EncodableValue >
virtual void | SuccessInternal (const EncodableValue *result)=0
virtual void | ErrorInternal (const std::string &error_code, const std::string &error_message, const EncodableValue *error_details)=0

## Detailed Description

### template<typename T = EncodableValue>
class flutter::MethodResultFunctions< T >

Definition at line 31 of file method_result_functions.h.

## Constructor & Destructor Documentation

## ◆ MethodResultFunctions() [1/2]

template<typename T = EncodableValue>

flutter::MethodResultFunctions< T >::MethodResultFunctions | ( | ResultHandlerSuccess< T > | on_success,
|  | ResultHandlerError< T > | on_error,
|  | ResultHandlerNotImplemented< T > | on_not_implemented
| ) |  |
| inline

Definition at line 35 of file method_result_functions.h.

38 : on_success_(std::move(on_success)),
39 on_error_(std::move(on_error)),
40 on_not_implemented_(std::move(on_not_implemented)) {}

## ◆ ~MethodResultFunctions()

template<typename T = EncodableValue>

virtual flutter::MethodResultFunctions< T >::~MethodResultFunctions | ( |  | ) |
| virtualdefault

## ◆ MethodResultFunctions() [2/2]

template<typename T = EncodableValue>

flutter::MethodResultFunctions< T >::MethodResultFunctions | ( | MethodResultFunctions< T > const & |  | ) |
| delete

## Member Function Documentation

## ◆ ErrorInternal()

template<typename T = EncodableValue>

void flutter::MethodResultFunctions< T >::ErrorInternal | ( | const std::string & | error_code,
|  | const std::string & | error_message,
|  | const T * | error_details
| ) |  |
| inlineoverrideprotected

Definition at line 57 of file method_result_functions.h.

59 {
60 if (on_error_) {
61 on_error_(error_code, error_message, error_details);
62 }
63 }

## ◆ NotImplementedInternal()

template<typename T = EncodableValue>

void flutter::MethodResultFunctions< T >::NotImplementedInternal | ( |  | ) |
| inlineoverrideprotectedvirtual

Implements flutter::MethodResult< EncodableValue >.

Definition at line 66 of file method_result_functions.h.

66 {
67 if (on_not_implemented_) {
68 on_not_implemented_();
69 }
70 }

## ◆ operator=()

template<typename T = EncodableValue>

MethodResultFunctions& flutter::MethodResultFunctions< T >::operator= | ( | MethodResultFunctions< T > const & |  | ) |
| delete

## ◆ SuccessInternal()

template<typename T = EncodableValue>

void flutter::MethodResultFunctions< T >::SuccessInternal | ( | const T * | result | ) |
| inlineoverrideprotected

Definition at line 50 of file method_result_functions.h.

50 {
51 if (on_success_) {
52 on_success_(result);
53 }
54 }

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/method_result_functions.h